################################################################################
# Copyright 2022 Avalanche Warning Service Tyrol                               #
################################################################################
# This is free software you can redistribute/modify under the terms of the     #
# GNU Affero General Public License 3 or later: http://www.gnu.org/licenses    #
################################################################################

[GENERAL]
BUFFER_SIZE  = 0.5
BUFF_BEFORE  = 0.5
DATA_QA_LOGS = FALSE
IMPORT_AFTER = vstations.ini
IMPORT_AFTER = snp.ini
# snowpack -b 2021-12-10T10:00:00 -e 2021-12-15T10:00:00 -c snp_nc_test.ini

[INPUT]
DEM                = NETCDF
DEMFILE            = ./data/snp-ready-nc-files/nwp_dem.nc
DEMVAR             = surface_altitude

GRID2D             = NETCDF
GRID2DPATH         = ./data/snp-ready-nc-files/
NC_EXT             = nwp_stacked_cf16.nc
NETCDF_SCHEMA      = CF-1.6
NC_DEBUG           = TRUE
; NC_ALLOW_MISSING_COORDS = TRUE
NC_KEEP_FILES_OPEN = TRUE

COORDSYS   = PROJ
COORDPARAM = 31287
TIME_ZONE  = 0.00

SNOW           = SMET
SNOWPATH       = ./input/sno_files
; SNOWFILE1      = sno_template
SLOPE_FROM_SNO = TRUE

[InputEditing]
RESAMPLING_STRATEGY = GRID_EXTRACT_PTS
VIRTUAL_PARAMETERS  = TA RH PSUM VW DW VW_MAX ISWR ILWR
VSTATION1 = xy(200000,300000,2100)

[Output]
COORDSYS = PROJ
COORDPARAM = 31287
TIME_ZONE = 1
METEOPATH = ./output/snp
WRITE_PROCESSED_METEO = FALSE
METEO = SMET
SMET_APPEND = FALSE
SMET_OVERWRITE = TRUE
SMET_COMMENTED_HEADERS = FALSE
;EXPERIMENT = NO_EXP
SNOW_WRITE = FALSE
PROF_WRITE = TRUE
PROF_FORMAT = PRO
AGGREGATE_PRF = FALSE
PROF_START = 0.0
PROF_DAYS_BETWEEN = 4.1666e-2
HARDNESS_IN_NEWTON = FALSE
TS_WRITE = TRUE
TS_FORMAT = SMET
TS_START = 0.0
TS_DAYS_BETWEEN = 4.1666e-2
AVGSUM_TIME_SERIES = TRUE
CUMSUM_MASS = FALSE
PRECIP_RATES = TRUE
OUT_CANOPY = FALSE
OUT_HAZ = TRUE
OUT_SOILEB = FALSE
OUT_HEAT = TRUE
OUT_T = TRUE
OUT_LW = TRUE
OUT_SW = TRUE
OUT_MASS = TRUE
OUT_METEO = TRUE
OUT_STAB = TRUE

[Snowpack]
CALCULATION_STEP_LENGTH = 15.000
ROUGHNESS_LENGTH = 0.002
HEIGHT_OF_METEO_VALUES = 2.0
HEIGHT_OF_WIND_VALUE = 10.0
ENFORCE_MEASURED_SNOW_HEIGHTS = FALSE
SW_MODE = INCOMING
ATMOSPHERIC_STABILITY = RICHARDSON
CANOPY = 0
MEAS_TSS = FALSE
CHANGE_BC = FALSE
SNP_SOIL = FALSE

[SnowpackAdvanced]
VARIANT = DEFAULT
RESEARCH = TRUE
NUMBER_FIXED_RATES = 0
ADJUST_HEIGHT_OF_METEO_VALUES = FALSE
ADJUST_HEIGHT_OF_WIND_VALUE = FALSE
SNOW_EROSION = FALSE
WIND_SCALING_FACTOR = 1.0
NUMBER_SLOPES = 5
SNOW_REDISTRIBUTION = FALSE
PREVAILING_WIND_DIR = 0
# MEAS_INCOMING_LONGWAVE = TRUE
PERP_TO_SLOPE = FALSE
ALLOW_ADAPTIVE_TIMESTEPPING = TRUE
THRESH_RAIN = 1.2
FORCE_RH_WATER = TRUE
THRESH_RH = 0.5
THRESH_DTEMP_AIR_SNOW = 3.0
HOAR_THRESH_TA = 1.2
HOAR_THRESH_RH = 0.97
HOAR_THRESH_VW = 3.5
HOAR_DENSITY_BURIED = 125
HOAR_MIN_SIZE_BURIED = 2.0
HOAR_DENSITY_SURF = 100
MIN_DEPTH_SUBSURF = 0.07
T_CRAZY_MIN = 210
T_CRAZY_MAX = 340
METAMORPHISM_MODEL = DEFAULT
NEW_SNOW_GRAIN_SIZE = 0.3
STRENGTH_MODEL = DEFAULT
VISCOSITY_MODEL = DEFAULT
SALTATION_MODEL = SORENSEN
ENABLE_VAPOUR_TRANSPORT = FALSE
WATERTRANSPORTMODEL_SNOW = BUCKET
WATERTRANSPORTMODEL_SOIL = BUCKET
SOIL_EVAP_MODEL = EVAP_RESISTANCE
SOIL_THERMAL_CONDUCTIVITY = FITTED
ALBEDO_AGING = TRUE
SW_ABSORPTION_SCHEME = MULTI_BAND
HARDNESS_PARAMETERIZATION = MONTI
DETECT_GRASS = FALSE
PLASTIC = FALSE
JAM = FALSE
WATER_LAYER = FALSE
HEIGHT_NEW_ELEM = 0.02
MINIMUM_L_ELEMENT = 0.0025
COMBINE_ELEMENTS = TRUE
; TWO_LAYER_CANOPY = TRUE
; CANOPY_HEAT_MASS = TRUE
; CANOPY_TRANSMISSION = TRUE
; FORESTFLOOR_ALB = TRUE
ADVECTIVE_HEAT = FALSE

# Hacks for different output in .pro file
SSI_IS_RTA = TRUE
# MULTI_LAYER_SK38 = TRUE

[Interpolations1D]
ENABLE_RESAMPLING = TRUE
PSUM::RESAMPLE = ACCUMULATE
PSUM::ACCUMULATE::PERIOD = 900

[Filters]
ENABLE_METEO_FILTERS = FALSE
ENABLE_TIME_FILTERS = FALSE

[TechSnow]
SNOW_GROOMING = FALSE

[Generators]
TSG::GENERATOR1 = CST
TSG::ARG1::VALUE = 273.150000
# ILWR::GENERATOR1 = ALLSKY_LW
# ILWR::ARG1::TYPE = Omstedt
# ILWR::ARG1::USE_RSWR = FALSE